Subject: Re: [PATCH 0/6] Teach fetch/pull the on-demand mode and make it the default

From: Jens Lehmann <[email-masked]>
Date: Thu, 24 Feb 2011 00:48:56 +0100

Am 24.02.2011 00:21, schrieb Jonathan Nieder:
> Jens Lehmann wrote:
> 
>> *) The fetch is only done when the recorded submodule commit isn't
>>    already present.
> 
> I like this part a lot.

Glad to hear ;-)

>> I tend to think that this is suited for 1.7.5 but don't have any
>> objections against holding it back until 1.8.0 either. What do
>> others think?
> 
> I see no backward-compatibility to wait for this, but I would be more
> included to trust people using "git submodule update" heavily than I
> do.

Yeah, I would appreciate some feedback here too.

> The "submodule update" change could cause the following to break.
> Would that be disruptive?
> 
> 	cd submodule
> 	git fetch --no-recurse-submodules
> 	...
> 
> 	cd ..
> 	bin/script-to-update-submodules-that-calls-submodule-update

But then "git submodule update" would notice that the commit isn't
present and do a "git fetch" itself, no?